
package de.ivu.elect.dokumente.stimmzettel;

import de.ivu.elect.wus.exchange.stimmzettel.AbstractStimmzettelZipExportMapper;

import javax.inject.Inject;

public class DefaultStimmzettelByWahlvorschlaegeNachGebietDokumentGeneratorDocumentMapperZipExportMapper extends AbstractStimmzettelZipExportMapper {

  public static final String FILE_FORMAT_NAME = "file.format.stimmzettel.default.wahlvorschlaege.nach.gebiet.dokument";

  @Inject
  private transient DefaultStimmzettelByWahlvorschlaegeNachGebietDokumentGeneratorDocumentMapperExportMapper defaultStimmzettelByWahlvorschlaegeNachGebietDokumentGeneratorDocumentMapperExportMapper;

  public DefaultStimmzettelByWahlvorschlaegeNachGebietDokumentGeneratorDocumentMapperZipExportMapper() {
    super();
  }

  @Override
  protected String getFileFormatName() {
    return FILE_FORMAT_NAME;
  }

  @Override
  protected DefaultStimmzettelByWahlvorschlaegeNachGebietDokumentGeneratorDocumentMapperExportMapper getSimpleExportMapper() {
    return defaultStimmzettelByWahlvorschlaegeNachGebietDokumentGeneratorDocumentMapperExportMapper;
  }
}
